## python-imdbpy 1.8-0.1

=== debian/changelog ===
python-imdbpy (1.8-0.1) unstable; urgency=low

  * Created automatically by dh_make (distutils 2.4.0)

 -- Davide Alberani <da@erlug.linux.it>  Thu, 24 Mar 2005 17:14:54 +0100
