## python-imdbpy 1.8-0.1ubuntu1

=== debian/changelog ===
python-imdbpy (1.8-0.1ubuntu1) breezy; urgency=low

  * debian/control: Removed python2.1/python2.2 packages
  * debian/*: removed python{2.1,2.2}-imdpy install files

 -- Stephan Hermann <sh@sourcecode.de>  Wed, 14 Sep 2005 11:30:20 +0200
