=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Section: python
 Priority: optional
 Standards-Version: 3.6.1
-Build-Depends: debhelper (>= 4.1.67), python2.1-dev, python2.2-dev, python2.3-dev, python2.4-dev
+Build-Depends: debhelper (>= 4.1.67), python2.3-dev, python2.4-dev
 
 Package: python-imdbpy
 Architecture: all
-Depends: python2.3-imdbpy (= ${Source-Version}), python (>= 2.3), python (<< 2.4)
+Depends: python2.4-imdbpy (= ${Source-Version}), python (>= 2.4), python (<< 2.5)
 Description: Python package to access the IMDb's database [dummy package]
  IMDbPY is a Python package useful to retrieve and manage the data of the
  IMDb movie database about both movies and people.
@@ -25,42 +25,6 @@
  .
  This package is an empty dummy package that always depends on a package
  built for Debian's default Python version.
-
-Package: python2.1-imdbpy
-Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}
-Description: Python package to access the IMDb's database
- IMDbPY is a Python package useful to retrieve and manage the data of the
- IMDb movie database about both movies and people.
- .
- Platform-independent and written in pure Python (and few C lines), it can
- retrieve data from both the IMDb's web server and a local copy of the whole
- database.
- .
- IMDbPY package can be very easily used by programmers and developers to
- provide access to the IMDb's data to their programs.
- .
- Some simple example scripts - useful for the end users - are included in
- this package; other IMDbPY-based programs are available at the home page:
- http://imdbpy.sourceforge.net/
-
-Package: python2.2-imdbpy
-Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}
-Description: Python package to access the IMDb's database
- IMDbPY is a Python package useful to retrieve and manage the data of the
- IMDb movie database about both movies and people.
- .
- Platform-independent and written in pure Python (and few C lines), it can
- retrieve data from both the IMDb's web server and a local copy of the whole
- database.
- .
- IMDbPY package can be very easily used by programmers and developers to
- provide access to the IMDb's data to their programs.
- .
- Some simple example scripts - useful for the end users - are included in
- this package; other IMDbPY-based programs are available at the home page:
- http://imdbpy.sourceforge.net/
 
 Package: python2.3-imdbpy
 Architecture: any
